Issue1246

classification
Title: KeyError: 'twisted.internet.reactor'
Type: behaviour Severity: normal
Components: Core Versions: 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: billiejoex, fwierzbicki, glyph, pjenvey, thijs, zyasoft
Priority: high Keywords: twisted

Created on 2009-01-25.23:11:47 by thijs, last changed 2009-03-30.19:15:55 by pjenvey.

Messages
msg4076 (view) Author: Thijs Triemstra (thijs) Date: 2009-01-25.23:11:46
Getting the following error with Twisted 8.2 release and Twisted trunk, as reported 
by the buildslave (http://buildbot.twistedmatrix.com/builders/ubuntu64-jython2.5-
select/builds/102/steps/trial/logs/stdio). Title of this ticket is not really 
helpful atm but not sure what to make of it otherwise..

Jython 2.5b1+ (trunk:5970, Jan 24 2009, 19:11:26) 
[Java HotSpot(TM) 64-Bit Server VM (Sun Microsystems Inc.)] on java1.5.0_06
Type "help", "copyright", "credits" or "license" for more information.
>>> from twisted.internet import reactor
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
KeyError: 'twisted.internet.reactor'
msg4187 (view) Author: Giampaolo Rodola' (billiejoex) Date: 2009-03-07.17:01:49
I thought that twisted didn't work with Jython.
msg4188 (view) Author: Jim Baker (zyasoft) Date: 2009-03-08.03:30:04
billiejoex - Twisted should work on Jython. During this bugfix period
hopefully we can figure out the remaining issues.
msg4359 (view) Author: Jim Baker (zyasoft) Date: 2009-03-27.15:45:55
I talked with Glyf about this, apparently this is an error resulting
from a complicated import. So we should look at this closely for the RC.
msg4361 (view) Author: Glyph Lefkowitz (glyph) Date: 2009-03-27.19:48:18
I would be _really_ thrilled if Jython 2.5 could at least bootstrap the
Twisted mainloop.  Once we've got our test suite starting up and
running, even if we have lots of failures, we can start fixing issues in
Twisted itself and ease the amount of work that Jython has to do :).

I'm available during the PyCon sprints, and will be hanging around in
openspace rooms for much of the conference, if someone wants to track me
down for some pair programming.
msg4395 (view) Author: Philip Jenvey (pjenvey) Date: 2009-03-30.19:15:54
fixed in r6125, thanks guys
History
Date User Action Args
2009-03-30 19:15:55pjenveysetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg4395
2009-03-30 18:15:00pjenveysetassignee: pjenvey
nosy: + pjenvey
2009-03-27 19:48:19glyphsetmessages: + msg4361
2009-03-27 15:45:56zyasoftsetpriority: high
nosy: + glyph
resolution: accepted
messages: + msg4359
components: + Core
2009-03-08 03:30:04zyasoftsetmessages: + msg4188
2009-03-07 17:01:49billiejoexsetnosy: + billiejoex
messages: + msg4187
2009-02-28 17:44:56zyasoftsetnosy: + zyasoft
2009-02-23 18:19:41fwierzbickisetnosy: + fwierzbicki
2009-01-28 16:35:26amaksetkeywords: + twisted
2009-01-25 23:11:47thijscreate